Data Fields

# arm_biquad_casd_df1_inst_f32 Struct Reference

Instance structure for the floating-point Biquad cascade filter. More...

`#include <arm_math.h>`

## Data Fields
uint32_t | numStages
float32_t * | pState
float32_t * | pCoeffs

## Detailed Description

Instance structure for the floating-point Biquad cascade filter.

Definition at line 1195 of file arm_math.h.

## Field Documentation

uint32_t arm_biquad_casd_df1_inst_f32::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Definition at line 1197 of file arm_math.h.

float32_t* arm_biquad_casd_df1_inst_f32::pState

Points to the array of state coefficients. The array is of length 4*numStages.

Definition at line 1198 of file arm_math.h.

float32_t* arm_biquad_casd_df1_inst_f32::pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

Definition at line 1199 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines